Bug 620041

Summary: gnome-terminal does not open a speciel URL written by the man command to the terminal
Product: [Fedora] Fedora Reporter: Joachim Backes <joachim.backes>
Component: gnome-terminalAssignee: Behdad Esfahbod <behdad>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 15CC: behdad
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-29 08:43:49 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Joachim Backes 2010-07-31 11:16:16 EDT
Description of problem:
Giving "man cfdisk" in a a gnome terminal. Shortly before the end of the man output (in the AVAILABILITY section of the cfdisk man page), there is a link:
ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/
Toucing with the mouse pointer that link, gnome-terminal marks it as hyperlink, but if I try to open that hyperlink (with right mouse button and pressing "open link" in the appearing menu), it cannot be opened. An error popup appears containing the message:
----------------------------------------------
Could not open the address “ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/”
The specified location is not mounted
-----------------------------------------------
But if I enter that URL into some browser (say firefox for example), the URL can be opoened correctly.

Version-Release number of selected component (if applicable):
gnome-terminal-2.30.1-1.fc13.i686


How reproducible:
always


Steps to Reproduce:
1.Start gnome-terminal
2.man cfdisk (if not instelled, please install it)
3.Goto to the end of the man page (until the line "
  The BOGUS Linux Release           3 June 1995                        CFDISK(8
4. Touch the URL line containing
   able from ftp://ftp.kernel.org/pub/linux/utils/util-linux-ng/.
5. Open the menu and select "OPen link"

Actual results:
See description

Expected results:
The default browser is opened with the given URL

Additional info:
If I select "Copy link" and paste the link into the broweser's URL field, the URL is correctly opened.
Comment 1 Bug Zapper 2011-06-01 08:25:02 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Joachim Backes 2011-06-01 09:23:01 EDT
Still same problem in F15!
Comment 3 Bug Zapper 2011-06-29 08:43:49 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 4 Joachim Backes 2011-06-29 09:40:36 EDT
Please reopen (same issue in F15)